Subject: How to determine running under bash or cmd.exe
From: [email-masked] (Mansuriatus Shahrir Amir)

23 Oct 1996 04:53:38 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
Original-To: "'GNU-Win32 Mailing List'" <[email-masked]>
Original-Sender: [email-masked]

Greetings,

I'm just getting my feet wet in gnu-win32 port. At this point in time =
I'm trying to
compile simple utilities like less and man. I'm using Beta 16 (only the =
binaries).
I didn't download the source codes. Please excuse my ignorance if these =
ques have been adressed b4:

1) I only managed to get man.exe to compile. However my problem is to =
find
a clean way for console programs to determine whether they are running =
bash
or cmd.exe/command.com, so that '\\" or '/' can be automatically =
configured
like all Cygnus tools. If I port it for unix it'll run well under bash =
but not under cmd.exe and vice versa.

Has anybody reached a consensus on THE way to do this?

2) I tried to run the configure script for less-2.90. However the script =
always
abort midway. This is the output:

[/usr/local/less-290] ./configure
creating cache ./config.cache
testing\c
checking for gcc... gcc
checking whether we are using GNU C... yes
checking whether gcc accepts -g... yes
checking for POSIXized ISC... no
checking how to run the C preprocessor... gcc -E
checking whether gcc needs -traditional... no
checking for a BSD compatible install... grep: /bin/install: No such =
file or dir
ectory
/bin/install -c
checking for -lcurses... no
checking for -ltermcap... no
checking for -ltermlib... no
checking for -lgen... no
checking for -lintl... no
checking for -lPW... no
checking for working terminal libraries... TERMINAL LIBRARY BROKEN - =
configure f
ailed
[/usr/local/less-290]

It looks like it's looking for termcap, termlib libraries. I search in =
the lib directories these files are not around. If I wasn't mistaken =
these are part of B14 distribution but I couldn't locate it in B16.

I'm not that familiar with termcap and such under Unix/Linux. So can =
somebody=20
help me please on why this fails and how to get around it

TIA

P/S: BTW Thanx for all the hard work ppl have put in into this port. =
It's excellent

--------------------------------------
Mansuriatus Shahrir Amir
[email-masked]
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".